Skip to content
Uranus Docs
Esc
↑↓navigate↵open⌘Jpreview

Get choosable organizations

Returns organizations matching the optional name and geographic filters.

GET/api/choosable-orgs
Query parameters
namestring

Case-insensitive name search. An asterisk (*) at the beginning and/or end acts as a wildcard. Examples: Kultur* (starts with), *haus (ends with), *kultur* (contains).

latnumber<double>

Latitude of the center point for the geographic search.

min -90 · max 90
lonnumber<double>

Longitude of the center point for the geographic search.

min -180 · max 180
radiusnumber<double>

Search radius around the specified latitude and longitude, in meters.

min 0
Responses
200

Organizations successfully retrieved.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:200
timestampstring<date-time>required

Time at which the response was generated.

metadataGetChoosableOrgs.ChoosableOrgsMetadata

Metadata returned with the list of organizations.

Show properties
venue_countintegerrequired

Number of organizations matching the requested filters.

min 0
response_time_msintegerrequired

Time required to generate the response in milliseconds.

min 0
dataGetChoosableOrgs.Organization[]required

List of matching organizations.

Show properties
Array of GetChoosableOrgs.Organization
uuidstring<uuid>required

Unique identifier of the organization.

namestring | anyrequired

Name of the organization.

Show properties
Any of:
string
string
any
any
citystring | any

City in which the organization is located.

Show properties
Any of:
string
string
any
any
statestring | any

State or administrative region in which the organization is located.

Show properties
Any of:
string
string
any
any
countrystring | any

Country code of the organization.

Show properties
Any of:
string
string
any
any
messagestring

Human-readable response message.

500

Database or internal server error.

servicestringrequired

Name of the API service.

api_versionstringrequired

API version.

response_typestringrequired

Identifier of the response type.

statusintegerrequired

HTTP status code of the response.

Allowed:500
timestampstring<date-time>required

Time at which the response was generated.

metadataobject

Response metadata.

dataany

Response payload.

Show properties
Any of:
any
any
any
any
messagestring

Human-readable response message.

Try it
Server
Parameters
Request
curl -X GET "https://api.kulturbytes.de/api/choosable-orgs"
Response
{
  "service": "Uranus API",
  "api_version": "1.0",
  "response_type": "get-choosable-orgs",
  "status": 200,
  "timestamp": "2026-09-20T12:24:00Z",
  "metadata": {
    "venue_count": 3,
    "response_time_ms": 15
  },
  "data": [
    {
      "uuid": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Kulturzentrum Flensburg",
      "city": "Flensburg",
      "state": "Schleswig-Holstein",
      "country": "DE"
    },
    {
      "uuid": "6ba7b810-9dad-11d1-80b4-00c04fd430c8",
      "name": "Kulturverein",
      "city": "Flensburg",
      "state": "Schleswig-Holstein",
      "country": "DE"
    },
    {
      "uuid": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
      "name": "Kulturhaus Glücksburg",
      "city": "Glücksburg",
      "state": "Schleswig-Holstein",
      "country": "DE"
    }
  ]
}